import type { Resolvers } from '@apollo/client';
import { ContentfulDataSource } from '../../dataSource';
import { ContentType } from '../../contentful/types';
export default class ContentTypeResolverBuilder {
    private readonly dataSource;
    private readonly options;
    private readonly contentType;
    constructor(dataSource: ContentfulDataSource, options: {
        namespace?: string;
    }, contentType: ContentType);
    build(): Resolvers;
    private sysResolver;
    private fieldResolver;
    private linkResolver;
    private collectionResolver;
}
