import type { Asset, Entry, LinkContentTypeValidation, DeletedAsset, DeletedEntry, Link } from './contentful/types';
export declare function tryParseJson(json: string): unknown | null;
export declare function isLinkContentTypeValidation(v: any): v is LinkContentTypeValidation;
export declare function idToName(id: string): string;
export declare function present<T>(value: T | undefined | null | ''): value is T;
export declare function assertPresent<T>(value: T | undefined | null | ''): asserts value is T;
export declare function isEntry(e: any): e is Entry<any>;
export declare function isAsset(e: any): e is Asset;
export declare function isDeletedEntry(e: any): e is DeletedEntry;
export declare function isDeletedAsset(e: any): e is DeletedAsset;
export declare function isLink(e: any): e is Link;
export declare function isEntryLink(e: any): e is Link<'Entry'>;
export declare function isAssetLink(e: any): e is Link<'Asset'>;
export declare function unionTypeDefName(contentType: string, field: {
    id: string;
}): string;
export declare function generateUUID(): string;
