import type { ApolloCache } from '@apollo/client';
import { Syncable } from '../../syncEngine';
export declare function withCacheEviction<DataSource extends Syncable>(dataSource: DataSource, cache: Pick<ApolloCache<any>, 'evict'>, options: {
    namespace: string;
    queryNamespace: string;
}): DataSource;
