import type { Resolver } from '@apollo/client';
import type { ContentfulDataSource } from '../../dataSource';
export default class QueryResolverBuilder {
    private readonly dataSource;
    private readonly options;
    private readonly contentTypeId;
    constructor(dataSource: ContentfulDataSource, options: {
        namespace?: string;
    }, contentTypeId: string);
    build(): {
        Query: {
            [field: string]: Resolver;
        };
    };
    private buildEntryResolver;
    private buildCollectionResolver;
}
